Bug 448089 - dovecot should own /etc/pki/dovecot/private directory
dovecot should own /etc/pki/dovecot/private directory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dovecot (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dan Horák
:
Depends On:
Blocks: 445005
  Show dependency treegraph
 
Reported: 2008-05-23 09:14 EDT by Milan Zázrivec
Modified: 2009-01-20 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:00:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2008-05-23 09:14:26 EDT
Description of problem:
dovecot package should own /etc/pki/dovecot/private directory. Currently
it owns files under it, not the directory itself. This setup leads to
/etc/pki/dovecot/private directory being created with incorrect selinux
context.

Version-Release number of selected component (if applicable):
dovecot-1.0.7-2.el5 / RHEL5.2 GA

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5.2, dovecot included, selinux enabled
2. # rpm -qf /etc/pki/dovecot/private
3. # ls -dZ /etc/pki/dovecot/private
4. # matchpathcon /etc/pki/dovecot/private
  
Actual results:
# rpm -qf /etc/pki/dovecot/private
file /etc/pki/dovecot/private is not owned by any package
# ls -dZ /etc/pki/dovecot/private
drwxr-xr-x  root root system_u:object_r:cert_t:s0      /etc/pki/dovecot/private
# matchpathcon /etc/pki/dovecot/private
/etc/pki/dovecot/private        system_u:object_r:dovecot_cert_t:s0

Additional info:
Low priority, unlikely to cause any harm.
Comment 1 Dan Horák 2008-05-23 09:39:53 EDT
cause - %{ssldir}/private is missing from %files
Comment 2 RHEL Product and Program Management 2008-06-04 18:43:38 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2009-01-20 17:00:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0205.html

Note You need to log in before you can comment on or make changes to this bug.